summaryrefslogtreecommitdiff
path: root/dracut-kdump-error-handler.sh
diff options
context:
space:
mode:
authorCoprDistGit <infra@openeuler.org>2024-07-26 17:19:39 +0000
committerCoprDistGit <infra@openeuler.org>2024-07-26 17:19:39 +0000
commit5be00af7c80ed4972c1f3379e6db9937e1a8b7bd (patch)
tree7938404f19676c304f68d0d47e475fe4a1440452 /dracut-kdump-error-handler.sh
parentad07ec0c7538028e4d732f63e34d58150f5ffd42 (diff)
automatic import of kexec-tools
Diffstat (limited to 'dracut-kdump-error-handler.sh')
-rwxr-xr-xdracut-kdump-error-handler.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/dracut-kdump-error-handler.sh b/dracut-kdump-error-handler.sh
new file mode 100755
index 0000000..fc2b932
--- /dev/null
+++ b/dracut-kdump-error-handler.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+. /lib/kdump-lib-initramfs.sh
+
+set -o pipefail
+export PATH=$PATH:$KDUMP_SCRIPT_DIR
+
+get_kdump_confs
+do_failure_action
+do_final_action